@rem = '--*-Perl-*--
@echo off
if "%OS%" == "Windows_NT" goto WinNT
perl -x -S "%0" %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
:WinNT
perl -x -S "%0" %*
IF %ERRORLEVEL% NEQ 0 exit /b %ERRORLEVEL%
if NOT "%COMSPEC%" == "%SystemRoot%\system32\cmd.exe" goto endofperl
if %errorlevel% == 9009 echo You do not have Perl in your PATH.
goto endofperl
@rem ';
#!perl
#line 14
# Include necessary packages
# my( $MAKE, $WORK );
my($filename) = @ARGV;

system("..\\..\\..\\..\\..\\..\\Tools\\Xfc\\XmlTexts\\XFCTexts.exe -m -p -xe ".$filename) and do {
  if (($? >> 8) == 1){
    warn "\n You need to install msxml4 to run this application.\n Exit code is ".($? >> 8);
  }
  elsif (($? >> 8) == 2){
    warn "\n Failed to load $filename. It is probably corrupt.\n Exit code is ".($? >> 8);
  }
  else {
    warn "\n Failed to run $filename.\n Exit code is ".($? >> 8);
  }
  exit $? >> 8;
};

__END__
:endofperl

rem :FileExist
rem echo "File exist"

rem :End